package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.TeachModeEnum;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020.06.15
 */
public class StudentServeCourseDto {

    private Integer studentId;

    private Integer leadTeacherId;

    private Long courseScheduleId;

    private GroupType groupType;

    private String musicGroupId;

    private CourseSchedule.CourseScheduleType type;

    private Integer actualTeacherId;

    private Date courseStartTime;

    private Date serviceTagUpdateTime;

    private TeachModeEnum teachMode;

    public Integer getLeadTeacherId() {
        return leadTeacherId;
    }

    public void setLeadTeacherId(Integer leadTeacherId) {
        this.leadTeacherId = leadTeacherId;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public Date getCourseStartTime() {
        return courseStartTime;
    }

    public void setCourseStartTime(Date courseStartTime) {
        this.courseStartTime = courseStartTime;
    }

    public Date getServiceTagUpdateTime() {
        return serviceTagUpdateTime;
    }

    public void setServiceTagUpdateTime(Date serviceTagUpdateTime) {
        this.serviceTagUpdateTime = serviceTagUpdateTime;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public CourseSchedule.CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseSchedule.CourseScheduleType type) {
        this.type = type;
    }

    public Integer getActualTeacherId() {
        return actualTeacherId;
    }

    public void setActualTeacherId(Integer actualTeacherId) {
        this.actualTeacherId = actualTeacherId;
    }
}
